Bug 13335 - Holds and priority display via OPACShowHoldQueueDetails confusing
Summary: Holds and priority display via OPACShowHoldQueueDetails confusing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-25 17:14 UTC by Kyle M Hall
Modified: 2015-12-03 22:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13335 - Holds and priority display via OPACShowHoldQueueDetails confusing (3.06 KB, patch)
2014-11-25 17:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13335 - Holds and priority display via OPACShowHoldQueueDetails confusing (3.37 KB, patch)
2014-11-25 17:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13335 - Holds and priority display via OPACShowHoldQueueDetails confusing (3.44 KB, patch)
2014-11-26 19:38 UTC, Christopher Brannon
Details | Diff | Splinter Review
[SIGNED OFF]Bug 13335 - Holds and priority display via OPACShowHoldQueueDetails confusing (3.45 KB, patch)
2014-11-26 19:39 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 13335 - Holds and priority display via OPACShowHoldQueueDetails confusing (3.50 KB, patch)
2014-12-19 11:03 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-11-25 17:14:39 UTC
No matter what the selection of OPACShowHoldQueueDetails is, if it is enabled it displays a line "Holds and priority:" even if you've opted to hide one of those!
Comment 1 Kyle M Hall 2014-11-25 17:15:24 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2014-11-25 17:19:20 UTC Comment hidden (obsolete)
Comment 3 Christopher Brannon 2014-11-26 19:38:11 UTC Comment hidden (obsolete)
Comment 4 Christopher Brannon 2014-11-26 19:39:28 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2014-12-19 11:03:13 UTC
Created attachment 34527 [details] [review]
Bug 13335 - Holds and priority display via OPACShowHoldQueueDetails confusing

No matter what the selection of OPACShowHoldQueueDetails is, if it is
enabled it displays a line "Holds and priority:" even if you've opted to
hide one of those!

Test Plan:
1) Apply this patch
2) Test each setting of OPACShowHoldQueueDetails
3) Ensure each setting displays the correct fields ( or lack thereof )

Signed-off-by: Christopher Brannon <cbrannon@debian.localdomain>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Tomás Cohen Arazi 2015-02-12 18:31:18 UTC
Patch pushed to master.

Thanks Kyle!
Comment 7 Chris Cormack 2015-02-14 08:12:18 UTC
Pushes to 3.18.x will be in 3.18.4